summaryrefslogtreecommitdiffstats
path: root/Lib/plat-unixware7/regen
diff options
context:
space:
mode:
authorGuido van Rossum <guido@python.org>2001-04-11 20:58:20 (GMT)
committerGuido van Rossum <guido@python.org>2001-04-11 20:58:20 (GMT)
commit2242f2fbd0d50546ad79e800efbc6f0a2334bd0b (patch)
tree4f52d18335ba8cec2f482a3d2b7fd1c9a7ee2a9a /Lib/plat-unixware7/regen
parent11e89c72c1912ce834b6295f023c5096cc384d2a (diff)
downloadcpython-2242f2fbd0d50546ad79e800efbc6f0a2334bd0b.zip
cpython-2242f2fbd0d50546ad79e800efbc6f0a2334bd0b.tar.gz
cpython-2242f2fbd0d50546ad79e800efbc6f0a2334bd0b.tar.bz2
Unixware 7 support by Billy G. Allie (SF patch 413011)
Diffstat (limited to 'Lib/plat-unixware7/regen')
-rwxr-xr-xLib/plat-unixware7/regen12
1 files changed, 12 insertions, 0 deletions
diff --git a/Lib/plat-unixware7/regen b/Lib/plat-unixware7/regen
new file mode 100755
index 0000000..725b230
--- /dev/null
+++ b/Lib/plat-unixware7/regen
@@ -0,0 +1,12 @@
+#! /bin/sh
+case `uname -sr` in
+UnixWare*) ;;
+*) echo Probably not on a UnixWare system 1>&2
+ exit 1;;
+esac
+set -v
+h2py /usr/include/sys/fcntl.h
+h2py /usr/include/sys/socket.h
+h2py -i '(u_long)' /usr/include/netinet/in.h
+h2py /usr/include/termios.h
+h2py /usr/include/sys/stropts.h